Gentoo Archives: gentoo-commits

From: "Ferris McCormick (fmccor)" <fmccor@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in app-editors/lpe: ChangeLog lpe-1.2.6.12.ebuild
Date: Fri, 25 Jan 2008 18:38:50
Message-Id: E1JITRv-0000Ou-9Y@stork.gentoo.org
fmccor      08/01/25 18:38:47

  Modified:             ChangeLog lpe-1.2.6.12.ebuild
  Log:
  Sparc stable, Bug #207281, with fixes suggested by drac@g.o and make
  ==> emake.
  (Portage version: 2.1.4)

Revision  Changes    Path
1.13                 app-editors/lpe/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-editors/lpe/ChangeLog?rev=1.13&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-editors/lpe/ChangeLog?rev=1.13&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-editors/lpe/ChangeLog?r1=1.12&r2=1.13

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-editors/lpe/ChangeLog,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- ChangeLog	24 Jan 2008 19:24:33 -0000	1.12
+++ ChangeLog	25 Jan 2008 18:38:46 -0000	1.13
@@ -1,6 +1,10 @@
 # ChangeLog for app-editors/lpe
 # Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-editors/lpe/ChangeLog,v 1.12 2008/01/24 19:24:33 opfer Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-editors/lpe/ChangeLog,v 1.13 2008/01/25 18:38:46 fmccor Exp $
+
+  25 Jan 2008; Ferris McCormick <fmccor@g.o> lpe-1.2.6.12.ebuild:
+  Sparc stable, Bug #207281, with fixes suggested by drac@g.o and make
+  ==> emake.
 
   24 Jan 2008; Christian Faulhammer <opfer@g.o> lpe-1.2.6.12.ebuild:
   stable x86, bug 207281



1.5                  app-editors/lpe/lpe-1.2.6.12.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-editors/lpe/lpe-1.2.6.12.ebuild?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-editors/lpe/lpe-1.2.6.12.ebuild?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-editors/lpe/lpe-1.2.6.12.ebuild?r1=1.4&r2=1.5

Index: lpe-1.2.6.12.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-editors/lpe/lpe-1.2.6.12.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- lpe-1.2.6.12.ebuild	24 Jan 2008 19:24:33 -0000	1.4
+++ lpe-1.2.6.12.ebuild	25 Jan 2008 18:38:46 -0000	1.5
@@ -1,8 +1,8 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-editors/lpe/lpe-1.2.6.12.ebuild,v 1.4 2008/01/24 19:24:33 opfer Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-editors/lpe/lpe-1.2.6.12.ebuild,v 1.5 2008/01/25 18:38:46 fmccor Exp $
 
-inherit eutils
+inherit eutils multilib
 
 DESCRIPTION="Lightweight Programmers Editor"
 HOMEPAGE="http://cdsmith.twu.net/professional/opensource/lpe.html"
@@ -10,7 +10,7 @@
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS="ppc ~sparc x86"
+KEYWORDS="ppc sparc x86"
 IUSE="nls"
 
 DEPEND="=sys-libs/slang-1*"
@@ -26,13 +26,14 @@
 }
 
 src_install() {
-	make \
+	emake \
 		prefix="${D}/usr" \
 		datadir="${D}/usr/share" \
 		mandir="${D}/usr/share/man" \
 		infodir="${D}/usr/share/info" \
 		docdir="${D}/usr/share/doc/${PF}" \
 		exdir="${D}/usr/share/doc/${PF}/examples" \
-		install || die
+		libdir="${D}/usr/$(get_libdir)" \
+		install || die "emake install failed."
 	prepalldocs
 }



-- 
gentoo-commits@l.g.o mailing list